Bug 490059 - ONBOOT=no does NOT work for aliased network interfaces
ONBOOT=no does NOT work for aliased network interfaces
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 22:16 EDT by Rick Stevens
Modified: 2009-03-20 20:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 20:33:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Stevens 2009-03-12 22:16:12 EDT
Description of problem:

The networking scripts (specifically /etc/sysconfig/network-scripts/ifup-eth) do not pay attention to the "ONBOOT=" flag of an ifcfg-ethx:y file.  Essentially, if the parent device comes up, ALL aliases for it also come up.

Version-Release number of selected component (if applicable):

All versions of RHEL 4.x and up and all Fedora releases

How reproducible:

Every time.

Steps to Reproduce:

1. Create an alias for eth0, (e.g. eth0:0)
2. Set the "ONBOOT=" flag to "no" for the alias ONLY
3. Restart the network
  
Actual results:

Both eth0 and eth0:0 will be up and running

Expected results:

eth0 comes up but eth0:0 doesn't

Additional info:
Comment 1 Radek Vokal 2009-03-13 04:14:55 EDT
Reassigning to initscripts.
Comment 2 Bill Nottingham 2009-03-20 20:33:48 EDT
For aliases, use ONPARENT. This should be documented in sysconfig.txt.

Note You need to log in before you can comment on or make changes to this bug.